Selenium第一部曲之Selenium IDE插件的安装和注意事项

这篇主要针对Selenium 第一部曲中的四副截图中的第一幅截图进行总结和给出自己在使用过程中的一些注意事项: 
这篇主要介绍安装Selenium IDE:  
引用

   步骤: 第一  安装Firefox浏览器(我是从firefox2.0开始)。你可以安装一个适合Selenium IDE插件的Firefox版本。Selenium IDE不是任何Firefox版本都可以的。 
         第二  安装好后,就是去安装Selenium IDE插件了,这个你可以由n种安装Firefox插件的办法。我常用的直接在工具里面利用附加组件进行添加插件。 
         第三  你可能找到很多关于Selenium IDE的插件.比如:Selenium IDE Buttons..等等。这里我总结的是Selenium IDE。那么你就直接找到Selenium IDE就可以了。其它的插件你也可以安装但是至于使用那么就自己去摸索。如果有好的也发帖总结下。 

基本上安装上述三步骤就能够安装好Selenium IDE插件了。注意安装好了一定要重启firefox。如果你无法安装则可能是你的firefox不支持Selenium IDE插件的安装,那么你就要去找能够适合Selenium IDE安装的版本。之前我遇到很多的问题都是 由于Selenium IDE和firefox的版本不兼容产生出来的怪异的问题。  
当你看到如下图,则你安装Selenium IDE就成功了。 
 

Selenium IDE使用注意事项:  
引用

   由于我是从firefox2.0版本开始使用Selenium IDE插件的,因此碰到Firefox自动升级后,就出现了Selenium IDE插件不能使用或者在测试的过程中出现异想不到的问题。所以建议如果你安装Selenium IDE并且使用正常后,当firefox要升级的时候你注意该升级的版本是否适合当前的Selenium IDE插件的版本。如果不适合就不要去升级,不然出现怪异的问题的时候会是一个痛苦的解决问题过程。不过如果你升级firefox后发现Selenium IDE不能使用或者出现以前可以而升级后不可以的测试,那么你就要定位到问题很可能是由于升级firefox版本的原因了。 

在Selenium IDE常常出现问题的很多时候都是由于firefox的版本问题。所以关于Selenium IDE插件的安装就到这里。
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页